// NOTE: REMEMBER TO CHANGE THE PATH TO THE FILES!!!

// set directories
input_directory = "/Users/fdrgsp/Desktop/DAPI/" // variable
output_directory = "/Users/fdrgsp/Desktop/out/" // variable

// // set gaussian blur sigma value
gauss_sigma = 2 // variable

filelist = getFileList(input_directory)   // array

for (i = 0; i < lengthOf(filelist); i++) {
	
	file = filelist[i];  // variable
	
    if (endsWith(file, ".tif")) { 
    	
    	print("file: " + file);
        open(input_directory + file);
		
		title = getTitle();
		selectWindow(title);
		print(title);
		
		// remove .tif from the name
		title_no_ext = File.nameWithoutExtension;
		print(title_no_ext);
		
		// duplicate and run gaussian blur
		run("Duplicate...", " ");
		run("Gaussian Blur...", "sigma=" + gauss_sigma);
		
		//run("Threshold...");
		setAutoThreshold("Otsu dark");
		setOption("BlackBackground", true);
		run("Convert to Mask");
		
		// save binary mask
		saveAs("Tiff", output_directory + title_no_ext + "_mask.tif");
		
		run("Set Measurements...", "area mean display redirect=None decimal=3");
		
		// after saving with a new name, the window chnages name
		selectWindow(title_no_ext + "_mask.tif");
		
		// analyze particles
		run("Analyze Particles...", "exclude clear add");
		
		// save roi
		roiManager("Deselect");
		roiManager("Save", output_directory + title_no_ext + "_roi.zip");
		
		// measure and save results
		selectWindow(title);
		roiManager("Deselect");
		roiManager("Measure");
		saveAs("Results", output_directory + title_no_ext + "_results.csv");
		
		close("*");
		close("Results");
		close("ROI Manager");

		
	}
}