
//Use dialog to make the user interact with the macro
//https://imagej.nih.gov/ij/developer/macro/functions.html


//create a dialog with a specified title
Dialog.create("Title");

//the user can type a string
Dialog.addString("string:", "type here");

//the user can set a number
Dialog.addNumber("number:", 0);

//the user can set a number with a slider
Dialog.addSlider("slider", 0, 100, 50);//Dialog.addSlider(label, min, max, default);

//add a drop-down menu with mutiple choices
items = newArray(3, "string")
Dialog.addChoice("Choice", items);

//add a checkbox
Dialog.addCheckbox("checkbox", true);

//add radiobuttons 
radiobutton_items = newArray(3, "string", 4, "string_1")
Dialog.addRadioButtonGroup("radiobutton", radiobutton_items, 1, 4, "string");//Dialog.addRadioButtonGroup(label, items, rows, columns, default);

//add a message to the dilaog
Dialog.addMessage("here you can write a message", 20, "Magenta");

//show the dialog
Dialog.show();

//store the user inputs into variables (in order as they have been added)
string = Dialog.getString();
number = Dialog.getNumber();
slider = Dialog.getNumber();
choice = Dialog.getChoice();
checkbox = Dialog.getCheckbox();
radiobutton = Dialog.getRadioButton();

print(string);//output is a string
print(number);//output is a number
print(slider);//output is a number
print(choice);//output is the item you chose
print(checkbox);//output true (or 1) if checked or false (or 0) if not checked
print(radiobutton);//output is the radiobutton you chose







